Multi-target Machine Translation with Multi-Synchronous Context Free Grammars
-----------------------------------------------------------------------------

This is supplementary material for the paper.
It is meant to largely reproduce our experiments, but has not been extensively tested and will probably die in some environments without tweaking. Should the paper be accepted, the code will be put online with support.

Note that the most important code implementing the training for the proposed method is in the work/multi-extract directory.

1) First go to the work directory, download and compile KyTea (http://www.phontron.com/kytea) and get the Chinese MSR model. Then, compile travatar. Download and compile Moses. Download and compile GIZA++.

2) Go to the data directory and follow the README to get the data.

3) Run ./make-splits.sh to create splits.

4) Run ./train-lms.sh to create language models.

5) Run ./train-standard.sh to train regular SCFG models.

6) Run work/multi-extract/train-multi.pl. This takes multiple command line parameters for what targets you want to use. For example, "fr es" will train a model that translates from English to T1 French, T2 Spanish.

7) Run ./tune-standard.sh or ./tune-multi.sh to tune and test the models.
