#!/usr/bin/perl

use strict;
use utf8;
use FileHandle;
use Getopt::Long;
use List::Util qw(sum min max shuffle);
binmode STDIN, ":utf8";
binmode STDOUT, ":utf8";
binmode STDERR, ":utf8";

if(@ARGV != 0) {
print STDERR "Usage: $0\n";
exit 1;
}

my %ids;
while(<STDIN>) {
    chomp;
    $ids{$_}++;
}

while(my ($k, $v) = each(%ids)) {
    print "$k\n";
}
