#!/bin/bash

for g in ar en es fr ru zh; do
for f in 000{1,2,4}000 00{1,2,4}0000 0{1,2,4}00000 {1,2,4}000000; do
if [[ ! -e lm/$g-lm$f.arpa ]]; then
work/travatar/src/kenlm/lm/lmplz -S 50% -o 5 < tok/train-$f.$g > lm/$g-lm$f.arpa
fi
if [[ ! -e lm/$g-lm$f.blm ]]; then
(
    work/travatar/src/kenlm/lm/build_binary trie lm/$g-lm$f.arpa lm/$g-lm$f.blm;
    work/travatar/src/kenlm/lm/query lm/$g-lm$f.blm < tok/dev.$g > lm/$g-lm$f.perp;
) &
fi
done
wait
done
